Imports DevExpress.Xpo
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions(), NavigationItem(False), CreatableItem(False)>
<RuleCriteria("RuleCriteria LiquidAssetsYear-ChartOfAccounts", DefaultContexts.Save, "ChartOfAccounts.Children.Count=0", "Csak gyermek objektum választható ki!", SkipNullOrEmptyValues:=False)>
<RuleCriteria("RuleCriteria LiquidAssetsYear-ChartOfAccountsPlus", DefaultContexts.Save, "ChartOfAccountsPlus.Children.Count=0", "Csak gyermek objektum választható ki!", SkipNullOrEmptyValues:=False)>
<RuleCriteria("RuleCriteria LiquidAssetsYear-ChartOfAccountsMinus", DefaultContexts.Save, "ChartOfAccountsMinus.Children.Count=0", "Csak gyermek objektum választható ki!", SkipNullOrEmptyValues:=False)>
Public Class LiquidAssetsYear
    Inherits BaseObject

    Private _LiquidAssets As LiquidAssets
    Private _AccountYear As Long
    Private _ChartOfAccounts As ChartOfAccounts
    Private _ChartOfAccountsPlus As ChartOfAccounts
    Private _ChartOfAccountsMinus As ChartOfAccounts
    Public Sub New(ByVal session As Session)
        MyBase.New(session)

    End Sub

    <Association("LiquidAssets-LiquidAssetsYear", GetType(LiquidAssets))>
    Property LiquidAssets As LiquidAssets
        Get
            Return _LiquidAssets
        End Get
        Set(value As LiquidAssets)
            SetPropertyValue("LiquidAssets", _LiquidAssets, value)
        End Set
    End Property
    Property AccountYear As Long
        Get
            Return _AccountYear
        End Get
        Set(value As Long)
            SetPropertyValue("AccountYear", _AccountYear, value)
        End Set
    End Property
    <ImmediatePostData(True), DataSourceCriteria("AccountYear='@This.AccountYear'")>
    Property ChartOfAccounts As ChartOfAccounts
        Get
            Return _ChartOfAccounts
        End Get
        Set(value As ChartOfAccounts)
            SetPropertyValue("ChartOfAccounts", _ChartOfAccounts, value)
        End Set
    End Property
    <ImmediatePostData(True), DataSourceCriteria("AccountYear='@This.AccountYear'")>
    Property ChartOfAccountsPlus As ChartOfAccounts
        Get
            Return _ChartOfAccountsPlus
        End Get
        Set(value As ChartOfAccounts)
            SetPropertyValue("ChartOfAccountsPlus", _ChartOfAccountsPlus, value)
        End Set
    End Property
    <ImmediatePostData(True), DataSourceCriteria("AccountYear='@This.AccountYear'")>
    Property ChartOfAccountsMinus As ChartOfAccounts
        Get
            Return _ChartOfAccountsMinus
        End Get
        Set(value As ChartOfAccounts)
            SetPropertyValue("ChartOfAccountsMinus", _ChartOfAccountsMinus, value)
        End Set
    End Property
End Class
